﻿
@{
    @using APIFestival.Models
    ViewData["Title"] = "NotificationsFestivalier";
    List<Modifications> listeMessages = (List<Modifications>)ViewData["Messages"];
    string texte = (string)ViewData["Contenu"];

    //L'instruction ci dessous utilise le formalisme LINQ pour trier la liste (en fonction de l'heure de début de performance des artistes
    listeMessages = (from message in listeMessages orderby message.Heure descending select message).ToList<Modifications>();
}
    <div class="container-fluid bg-light">
        <div class="container-fluid text-center" align="center">
            <h1>
                <b>
                    Bienvenue dans vos notifications
                </b>
            </h1>
        </div>
        <br /><br /><br />
            @if (listeMessages != null)
            {
    <div class="container-fluid row" align="center">
        <div class="container-fluid col-sm-4 col-md-4 col-lg-4" align="center">
            @foreach (var m in listeMessages)
            {
                <div class="container-fluid row" align="left">
                    <form method="post" action="NotificationsFestivalier">
                        @if (m.LuOuNon == false)
                        {
                            <button type="submit" name="Message" class="btn btn-lg btn-secondary alert-danger mb-5" value="@m.Id">Nouveau message du @m.Heure.ToString("dd/MM/yyyy") à @m.Heure.ToString("HH:mm") </button>
                        }
                        else
                        {
                            <button type="submit" name="Message" class="btn btn-lg btn-secondary mb-5" value="@m.Id">Message du @m.Heure.ToString("dd/MM/yyyy") à @m.Heure.ToString("HH:mm") </button>
                        }

                    </form>
                </div>
            }
        </div>
        <div class="container-fluid border-2 border-dark text-white bg-secondary col-sm-5 col-md-6 col-lg-8" style="height:320px" align="justify">
            
            <p data-id="Mess">@ViewData["Contenu"]</p>
        </div>
        </div>
        }
        else
        {
        <p><h2>Aucun message</h2></p>
        }
    </div>


<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>


